# Uses of Interface
org.eclipse.birt.chart.render.IActionRenderer

Packages that use IActionRenderer
Package
Description
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of IActionRenderer in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory that return IActionRenderer
Modifier and Type
Method
Description
`IActionRenderer`
RunTimeContext.`getActionRenderer()`
Returns the IActionRenderer of current runtime context.
Methods in org.eclipse.birt.chart.factory with parameters of type IActionRenderer
Modifier and Type
Method
Description
`void`
RunTimeContext.`setActionRenderer(IActionRenderer iar)`
Sets an IActionRenderer instance to current runtime context.

## Uses of IActionRenderer in org.eclipse.birt.chart.render

Classes in org.eclipse.birt.chart.render that implement IActionRenderer
Modifier and Type
Class
Description
`class`
`ActionRendererAdapter`
An adapter class for IActionRenderer